Skip to content

List VPC Peerings

GET/projects/{project_id}/vpcs/{vpc_id}/peerings

Retrieves a list of all VPC peering connections for a given VPC.

Path ParametersExpand Collapse
project_id: string
vpc_id: string
ReturnsExpand Collapse
id: string

The unique identifier for the peering connection.

peer_account_id: string

The cloud account ID of the peer VPC.

peer_region_code: string

The cloud region of the peer VPC.

peer_vpc_id: string

The ID of the peer VPC.

error_message: optional string

A human-readable error message when the peering connection failed.

provisioned_id: optional string

The provider-assigned identifier for the provisioned peering.

status: optional string

The current status of the peering connection.

List VPC Peerings

curl https://console.cloud.tigerdata.com/public/api/v1/projects/$PROJECT_ID/vpcs/$VPC_ID/peerings \
    -H "Authorization: Bearer $TIGER_CLOUD_API_KEY"
[
  {
    "id": "1234567890",
    "peer_account_id": "acc-12345",
    "peer_region_code": "us-east-1",
    "peer_vpc_id": "1234567890",
    "error_message": "VPC not found",
    "provisioned_id": "1234567890",
    "status": "active"
  }
]
Returns Examples
[
  {
    "id": "1234567890",
    "peer_account_id": "acc-12345",
    "peer_region_code": "us-east-1",
    "peer_vpc_id": "1234567890",
    "error_message": "VPC not found",
    "provisioned_id": "1234567890",
    "status": "active"
  }
]